NeuralEngine A Game Engine with embeded Machine Learning algorithms based on Gaussian Processes. |

Public Member Functions | Private Attributes | List of all members
LexicoArray2< false, Real, NumRows, NumCols > Class Template Reference
Collaboration diagram for LexicoArray2< false, Real, NumRows, NumCols >:
[legend]

## Public Member Functions
| LexicoArray2 (Real *matrix)
int | GetNumRows () const
int | GetNumCols () const
Real & | operator() (int r, int c)
Real const & | operator() (int r, int c) const

## Private Attributes
Real * | mMatrix

## Detailed Description

template<typename Real, int NumRows, int NumCols>
class LexicoArray2< false, Real, NumRows, NumCols >

Definition at line 28 of file NeLexicoArray2.inl.

## Constructor & Destructor Documentation

## ◆ LexicoArray2()

template<typename Real , int NumRows, int NumCols>

LexicoArray2< false, Real, NumRows, NumCols >::LexicoArray2 | ( | Real * | matrix | ) |
| inline

Definition at line 147 of file NeLexicoArray2.inl.

## Member Function Documentation

## ◆ GetNumRows()

template<typename Real , int NumRows, int NumCols>

int LexicoArray2< false, Real, NumRows, NumCols >::GetNumRows
| inline

Definition at line 154 of file NeLexicoArray2.inl.

## ◆ GetNumCols()

template<typename Real , int NumRows, int NumCols>

int LexicoArray2< false, Real, NumRows, NumCols >::GetNumCols
| inline

Definition at line 160 of file NeLexicoArray2.inl.

## ◆ operator()() [1/2]

template<typename Real , int NumRows, int NumCols>

Real & LexicoArray2< false, Real, NumRows, NumCols >::operator() | ( | int | r,
|  | int | c
| ) |  |
| inline

Definition at line 166 of file NeLexicoArray2.inl.

## ◆ operator()() [2/2]

template<typename Real , int NumRows, int NumCols>

Real const & LexicoArray2< false, Real, NumRows, NumCols >::operator() | ( | int | r,
|  | int | c
| ) |  | const
| inline

Definition at line 172 of file NeLexicoArray2.inl.

## Member Data Documentation

## ◆ mMatrix

template<typename Real , int NumRows, int NumCols>

Real* LexicoArray2< false, Real, NumRows, NumCols >::mMatrix
| private

Definition at line 39 of file NeLexicoArray2.inl.

The documentation for this class was generated from the following file:

- NeLexicoArray2.inl